Add some metainformation to setup.py and also include correct version
[opensuse:osc.git] / setup.py
1 #!/usr/bin/env python
2
3 from distutils.core import setup
4 import osc.core
5
6 setup(name='osc',
7       version=osc.core.__version__,
8       description='openSUSE (buildsystem) commander',
9       long_description='Commandline client for the openSUSE Build Service, which allows to access repositories in the openSUSE Build Service in similar way as Subversion repositories.',
10       author='openSUSE project',
11       author_email='opensuse-buildservice@opensuse.org',
12       license='GPL',
13       platforms = ['Linux'],
14       keywords = ['openSUSE', 'SUSE', 'RPM', 'build', 'buildservice'],
15       url='https://forgesvn1.novell.com/svn/opensuse/trunk/buildservice/src/clientlib/python/osc/',
16
17       packages=['osc', 'osc.util'],
18       scripts=['osc_hotshot.py', 'osc-wrapper.py'],
19
20      )
21